Company logoTrust Center Documentation
API v1 ReferenceCustom fieldsId

Update parts of a custom field template

Partially update a custom field template (translations and options included). Browse request parameters, authentication requirements, response payloads, and…

PATCH
/api/v1/custom-fields/{id}

Partially update a custom field template (translations and options included).

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/api/v1/custom-fields/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "success": true,  "data": {    "id": "string",    "title": "string",    "collection": "accounts",    "type": "text",    "always_ask": true,    "required": true,    "display": [      "header"    ],    "default_value": "string",    "order": 0,    "options": [      {        "value": "string",        "label": [          {            "languages_code": "en-US",            "translation": "string"          }        ]      }    ],    "translations": [      {        "languages_code": "en-US",        "title": "string"      }    ]  }}

How is this guide?